Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class FullTextSearchScore

    java.lang.Object
      org.modeshape.jcr.query.model.FullTextSearchScore

All Implemented Interfaces:
  Serializable, DynamicOperand, FullTextSearchScore, Operand, LanguageObject, Visitable

    @Immutable
    public class FullTextSearchScore

extends Object
implements DynamicOperand, FullTextSearchScore

A dynamic operand that evaluates to the full-text search score of a node given by a selector, used in a `Comparison` constraint and `Ordering`s.

See Also:
  Serialized Form

Constructor Summary
`FullTextSearchScore(SelectorName selectorName)` Create a dynamic operand that evaluates to the full-text search score of the node identified by the selector.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`String` | `getSelectorName()`
`int` | `hashCode()`
`SelectorName` | `selectorName()` Get the selector symbol upon which this operand applies.
`Set<SelectorName>` | `selectorNames()` Get the selector symbols to which this operand applies.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FullTextSearchScore

    public FullTextSearchScore(SelectorName selectorName)

  Create a dynamic operand that evaluates to the full-text search score of the node identified by the selector.

  Parameters:
    `selectorName` - the name of the selector

Method Detail

### selectorName

    public SelectorName selectorName()

  Get the selector symbol upon which this operand applies.

  Returns:
    the one selector names used by this operand; never null

### getSelectorName

    public String getSelectorName()

  Specified by:
    `getSelectorName` in interface `FullTextSearchScore`

### selectorNames

    public Set<SelectorName> selectorNames()

  Description copied from interface: `DynamicOperand`
  Get the selector symbols to which this operand applies.

  Returns:
    the immutable ordered set of non-null selector names used by this operand; never null and never empty

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### accept

    public void accept(Visitor visitor)

  Description copied from interface: `Visitable`
  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.